#
# spec file for package uhubctl
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           uhubctl
Version:        2.0.0+git20180615.1709413
Release:        bp153.1.17
Summary:        USB hub per-port power control
License:        GPL-2.0-only
Group:          Development/Tools/Other
URL:            https://github.com/mvp/uhubctl
Source:         %{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libusb-1.0)

%description
uhubctl is utility to control USB power per-port on smart USB hubs.
Smart hub is defined as one that implements per-port power switching.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%license COPYING LICENSE
%doc README.md
%{_sbindir}/uhubctl

%changelog
* Mon Jun 18 2018 mardnh@gmx.de
- Update to version 2.0.0+git20180615.1709413:
  * j5create JUH470 only works in USB2 mode
  * Add D-Link DUB H7 rev D1 (black) as supported device
  * Add Renesas uPD720202 PCIe USB 3.0 host controller as supported device
  * Add Raspberry Pi Model 3 B+ as supported device
  * Add columns for port count and USB version into device table
  * Code formatting cleanups
  * Fixed displaying duplicate hubs in status output
  * Add Moxa Uport-407 as supported device
  * Remove mention of building libusb 1.0.22 from head
  * move action to outer loop and hub to inner loop (fixes #86)
- Run spec-cleaner
* Tue May 30 2017 ptesarik@suse.com
- Update to version 0+git20170520.e537110:
  * Bump copyright year
  * Add AmazonBasics 7 port USB 3.0 hub as supported device
  * Add Asus Z87-PLUS as supported device
  * Add Rosewill RHUB-210 as supported device
  * Add support for FreeBSD and MacPorts on Mac
  * Add information about release and EOL years for supported hubs
  * add option to reset hub after operation
  * Add Sunix SHB4200MA as compatible device
  * fix docs for -R (from #30)
* Tue May 30 2017 ptesarik@suse.com
- initial commit.
